import Api from "~/service/Api";
import Pts from "../Common/Pts"
export default class Ditsel{
    constructor () {
        this.data = {
						selbut:{
							dspamenbr:"",			//  Display No of amendments		.selbut.dspamenbr
							dsputlnbr:"",			//  Display No. of received docs.		.selbut.dsputlnbr
							dspadvnbr:"",			//  Display No of advised sets		.selbut.dspadvnbr
							dspclsdat:"",			//  Label Closed		.selbut.dspclsdat
							dsppndram:"",			//  Display Number of Req. of Amendment		.selbut.dsppndram
							sptpenlab:"",			//  Label showing pending items stored for contract		.selbut.sptpenlab
							trnpenlab:"",			//  Label showing stored uncommited transactions for contract		.selbut.trnpenlab
							trnpenlab_descr:"",			//  Description for TRNPENLAB		.selbut.trnpenlab_descr
							dsprevnbr:"",			//  Revolving Done		.selbut.dsprevnbr
							sptpenlab_descr:"",			//  Description for SPTPENLAB		.selbut.sptpenlab_descr
						},
						dspbrdclsdat:"",			//  Display Closing Date of Document Set		.dspbrdclsdat
						dsptrdclsdat:"",			//  Display Closeing Date of Loan		.dsptrdclsdat
						sptpentrbp_descr:"",			//  Description for SPTPENTRBP		.sptpentrbp_descr
						trnpentrbp_descr:"",			//  Description for TRNPENTRBP		.trnpentrbp_descr
						sptpentrbp:"",			//  Label showing pending items stored for TR/BP		.sptpentrbp
						trnpentrbp:"",			//  Label showing stored uncommited transactions for TR/BP		.trnpentrbp
						didgrp:{
							rec:{
								ownref:"",			//  信用证编号		.didgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.didgrp.rec.nam
								avbby:"",			//  兑付方式		.didgrp.rec.avbby
								opndat:"",			//  开证日期		.didgrp.rec.opndat
								expdat:"",			//  到期日/到期地点		.didgrp.rec.expdat
								expplc:"",			//  到期日/到期地点		.didgrp.rec.expplc
								lcrtyp:"",			//  信用证种类		.didgrp.rec.lcrtyp
								shpdat:"",			//  Shipment Date		.didgrp.rec.shpdat
								tzref:"",			//  通知行编号		.didgrp.rec.tzref
							},
							cbs:{
								nom1:{
									cur:"",			//  信用证金额		.didgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.didgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.didgrp.cbs.opn1.cur
									amt:"",			//  Balance		.didgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							avbnam:"",			//  指定银行		.didgrp.avbnam
							adv:{
								pts:new Pts().data,
							},
						},
						didget:{
							sdamod:{
								seainf:"",			//  		.didget.sdamod.seainf
								dadsnd:"",			//  Drag  Drop Sender		.didget.sdamod.dadsnd
							},
							clsflg:"",			//  which contracts to show		.didget.clsflg
						},
						trpnttyp:"",			//  业务合同		.trpnttyp
						bddgrp:{
							rec:{
								ownref:"",			//  单据业务编号		.bddgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.bddgrp.rec.nam
								rcvdat:"",			//  到单日期		.bddgrp.rec.rcvdat
								docflg:"",			//  单据类型		.bddgrp.rec.docflg
								docsta:"",			//  单据状态		.bddgrp.rec.docsta
								matdat:"",			//  Maturity Date		.bddgrp.rec.matdat
								shgref:"",			//  提货担保参考号		.bddgrp.rec.shgref
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bddgrp.cbs.max.cur
									amt:"",			//  单据金额		.bddgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bddgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bddgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
						},
						bddget:{
							sdamod:{
								seainf:"",			//  		.bddget.sdamod.seainf
								dadsnd:"",			//  Drag  Drop Sender		.bddget.sdamod.dadsnd
							},
							clsflg:"",			//  which contracts to show		.bddget.clsflg
						},
						trdgrp:{
							rec:{
								ownref:"",			//  融资业务编号		.trdgrp.rec.ownref
								nam:"",			//  Name of Loan Contract		.trdgrp.rec.nam
								pctfin:"",			//  融资百分比		.trdgrp.rec.pctfin
								stttendat:"",			//  起息日期		.trdgrp.rec.stttendat
								fintyp:"",			//  融资类型		.trdgrp.rec.fintyp
								matdat:"",			//  Maturity Date		.trdgrp.rec.matdat
								finact:"",			//  融资账号		.trdgrp.rec.finact
							},
							cbs:{
								max:{
									cur:"",			//  押汇金额		.trdgrp.cbs.max.cur
									amt:"",			//  押汇金额		.trdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  押汇余额		.trdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.trdgrp.cbs.opn1.amt
								},
							},
							fip:{
								pts:new Pts().data,
							},
						},
						trdget:{
							sdamod:{
								seainf:"",			//  		.trdget.sdamod.seainf
								dadsnd:"",			//  Drag  Drop Sender		.trdget.sdamod.dadsnd
							},
							clsflg:"",			//  which contracts to show		.trdget.clsflg
						},
						zcdat:"",			//  最迟装船日期\\最迟服务提供日		.zcdat
						bpdgrp:{
							rec:{
								ownref:"",			//  通知参考号		.bpdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.bpdgrp.rec.nam
								opndat:"",			//  开证日期		.bpdgrp.rec.opndat
								fintyp:"",			//  通知类型		.bpdgrp.rec.fintyp
								matdat:"",			//  Maturity Date		.bpdgrp.rec.matdat
							},
							cbs:{
								max:{
									cur:"",			//  通知金额		.bpdgrp.cbs.max.cur
									amt:"",			//  Balance		.bpdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bpdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bpdgrp.cbs.opn1.amt
								},
							},
							fia:{
								pts:new Pts().data,
							},
						},
						bpdget:{
							sdamod:{
								seainf:"",			//  		.bpdget.sdamod.seainf
								dadsnd:"",			//  Drag  Drop Sender		.bpdget.sdamod.dadsnd
							},
							clsflg:"",			//  which contracts to show		.bpdget.clsflg
						},
						matp:{
							mattxtlab:"",			//  Label for MATTXT		.matp.mattxtlab
						},
						cfgfil:{
							btnstm:"",				//按钮数据
							bitmap:"",			//  Bitmap for folder		.cfgfil.bitmap
							regside1:"",			//  Regside		.cfgfil.regside1
							regside2:"",			//  Regside		.cfgfil.regside2
							regside3:"",			//  Regside		.cfgfil.regside3
							regside4:"",			//  Regside		.cfgfil.regside4
							regside5:"",			//  Regside		.cfgfil.regside5
							regside6:"",			//  Regside		.cfgfil.regside6
							regside7:"",			//  Regside		.cfgfil.regside7
							regside8:"",			//  Regside		.cfgfil.regside8
							regside9:"",			//  Regside		.cfgfil.regside9
							regside10:"",			//  Regside		.cfgfil.regside10
							regside11:"",			//  Regside		.cfgfil.regside11
							regside12:"",			//  Regside		.cfgfil.regside12
							subtxt1:"",			//  submenu text 1		.cfgfil.subtxt1
							subtxt2:"",			//  submenu text 2		.cfgfil.subtxt2
							subtxt3:"",			//  submenu text 3		.cfgfil.subtxt3
							subtxt4:"",			//  submenu text 4		.cfgfil.subtxt4
							subtxt5:"",			//  submenu text 5		.cfgfil.subtxt5
							subtxt6:"",			//  submenu text 6		.cfgfil.subtxt6
							subtxt7:"",			//  submenu text 7		.cfgfil.subtxt7
							subtxt8:"",			//  submenu text 8		.cfgfil.subtxt8
							subtxt9:"",			//  submenu text 9		.cfgfil.subtxt9
							subtxt10:"",			//  submenu text 10		.cfgfil.subtxt10
							subtxt11:"",			//  submenu text 11		.cfgfil.subtxt11
							regtxt1:"",			//  Register text 1		.cfgfil.regtxt1
							regtxt2:"",			//  Register text 2		.cfgfil.regtxt2
							regtxt3:"",			//  Register text 3		.cfgfil.regtxt3
							regtxt4:"",			//  Register text 4		.cfgfil.regtxt4
							regtxt5:"",			//  Register text 5		.cfgfil.regtxt5
							regtxt6:"",			//  Register text 6		.cfgfil.regtxt6
							regtxt7:"",			//  Register text 7		.cfgfil.regtxt7
							regtxt8:"",			//  Register text 8		.cfgfil.regtxt8
							regtxt9:"",			//  Register text 9		.cfgfil.regtxt9
							regtxt10:"",			//  Register text 10		.cfgfil.regtxt10
							regtxt11:"",			//  Register text 11		.cfgfil.regtxt11
							regtxt12:"",			//  Register text 12		.cfgfil.regtxt12
							hotsub1:"",			//  hotspot submenu 1		.cfgfil.hotsub1
							hotsub2:"",			//  hotspot submenu 1		.cfgfil.hotsub2
							hotsub3:"",			//  hotspot submenu 1		.cfgfil.hotsub3
							hotsub4:"",			//  hotspot submenu 1		.cfgfil.hotsub4
							hotsub5:"",			//  hotspot submenu 1		.cfgfil.hotsub5
							hotsub6:"",			//  hotspot submenu 1		.cfgfil.hotsub6
							hotsub7:"",			//  hotspot submenu 1		.cfgfil.hotsub7
							hotsub8:"",			//  hotspot submenu 1		.cfgfil.hotsub8
							hotsub9:"",			//  hotspot submenu 1		.cfgfil.hotsub9
							hotsub10:"",			//  hotspot submenu 1		.cfgfil.hotsub10
							hotsub11:"",			//  hotspot submenu 1		.cfgfil.hotsub11
							hotreg1:"",			//  hotspot reg1		.cfgfil.hotreg1
							hotreg2:"",			//  hotspot reg2		.cfgfil.hotreg2
							hotreg3:"",			//  hotspot reg3		.cfgfil.hotreg3
							hotreg4:"",			//  hotspot reg4		.cfgfil.hotreg4
							hotreg5:"",			//  hotspot reg5		.cfgfil.hotreg5
							hotreg6:"",			//  hotspot reg6		.cfgfil.hotreg6
							hotreg7:"",			//  hotspot reg7		.cfgfil.hotreg7
							hotreg8:"",			//  hotspot reg8		.cfgfil.hotreg8
							hotreg9:"",			//  hotspot reg9		.cfgfil.hotreg9
							hotreg10:"",			//  hotspot reg10		.cfgfil.hotreg10
							hotreg11:"",			//  hotspot reg11		.cfgfil.hotreg11
							hotreg12:"",			//  hotspot reg12		.cfgfil.hotreg12
						},
						dfdgrp:{
							rec:{
								ownref:"",			//  代付业务编号		.dfdgrp.rec.ownref
								nam:"",			//  Name of Loan Contract		.dfdgrp.rec.nam
								opndat:"",			//  代付日期		.dfdgrp.rec.opndat
								stttendat:"",			//  代付起始日		.dfdgrp.rec.stttendat
								matdat:"",			//  Maturity Date		.dfdgrp.rec.matdat
								fintyp:"",			//  Type		.dfdgrp.rec.fintyp
							},
							cbs:{
								max:{
									amt:"",			//  代付本金		.dfdgrp.cbs.max.amt
									cur:"",			//  代付本金		.dfdgrp.cbs.max.cur
								},
								opn1:{
									cur:"",			//  代付金额		.dfdgrp.cbs.opn1.cur
									amt:"",			//  代付金额		.dfdgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							dff:{
								pts:new Pts().data,
							},
						},
						dfdget:{
							clsflg:"",			//  which contracts to show		.dfdget.clsflg
							sdamod:{
								seainf:"",			//  		.dfdget.sdamod.seainf
							},
						},
						pageId: ""			// ctx的key
				}
    }
}